Name:           ncview
Version:        2.1.1
Release:        %mkrel 1
Summary:        Graphic for netCDF data file 
License:        GPLv3
Group:          Sciences/Other
Source0:        ftp://cirrus.ucsd.edu/pub/ncview/%{name}-%{version}.tar.gz
Patch0:         %{name}-2.1-fix-ldflag-linking.patch
URL:            http://meteora.ucsd.edu/~pierce/ncview_home_page.html
BuildRequires:  netcdf-devel 
BuildRequires:	libnetpbm-devel
BuildRequires:  libx11-devel
BuildRequires:	libxaw-devel
BuildRequires:	libxt-devel
BuildRequires:	udunits2-devel
BuildRequires:	expat-devel
BuildRequires:	libpng-devel

%description
Ncview is a visual browser for netCDF format files.  Typically you
would use ncview to get a quick and easy, push-button look at your
netCDF files.  You can view simple movies of the data, view along
various dimensions, take a look at the actual data values, change
color maps, invert the data, etc.


%prep
%setup -qn %{name}-%{version}
%patch0 -p0

%build
autoreconf -fi -Im4macros
%configure2_5x \
    --with-udunits2_incdir=%{_includedir}/udunits2

%make

%install
%makeinstall_std

# Menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/%{name}
Icon=%{name}
Categories=Science;Education;
Name=%{name}
Comment=Graphic for netCDF data file
EOF

%files
%doc COPYING INSTALL README ChangeLog AUTHORS README_LOCAL RELEASE_NOTES README.*
%{_bindir}/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Sun Jan 22 2012 kamil <kamil> 2.1.1-1.mga2
+ Revision: 199345
- new version 2.1.1
- rename patch to fix-ldflag-linking.patch
- update %%doc-file-list

* Sat Jan 21 2012 kamil <kamil> 2.1-3.mga2
+ Revision: 199337
- fix build
- rebuild against new udunits2-2.1.24
- clean .spec

* Mon Sep 19 2011 fwang <fwang> 2.1-2.mga2
+ Revision: 145353
- fix category
- rebuild for new libpng
- br png
- new version 2.1

* Thu Feb 24 2011 grenoya <grenoya> 2.0-0.beta4.1.mga1
+ Revision: 58993
- clean old Mdv syntax
- imported package ncview


* Sat Feb 05 2011 Funda Wang <fwang@mandriva.org> 2.0-0.beta4.1mdv2011.0
+ Revision: 636339
- 2.0 beta4

* Sat Feb 05 2011 Funda Wang <fwang@mandriva.org> 1.93g-4
+ Revision: 636331
- correctly detect libname
- tighten BR

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.93g-3mdv2011.0
+ Revision: 613004
- the mass rebuild of 2010.1 packages

* Mon Jan 18 2010 Emmanuel Andry <eandry@mandriva.org> 1.93g-2mdv2010.1
+ Revision: 493338
- diff p0 to fix linking issue with hdf5
- use configure2_5x
- fix netpbm headers detection at compile time
- fix netcdf include path

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Mar 11 2009 Emmanuel Andry <eandry@mandriva.org> 1.93g-1mdv2009.1
+ Revision: 353802
- New version 1.93g
- drop patch 0
- add menu item

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.93c-3mdv2009.0
+ Revision: 253657
- rebuild

* Tue Feb 19 2008 Olivier Thauvin <nanardon@mandriva.org> 1.93c-1mdv2008.1
+ Revision: 172609
- 1.93c

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 20:54:47 (55139)
- 1.93b

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 20:15:11 (55121)
Import ncview

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.92e-2mdk
- Add X11-devel as BuildRequires for X11/Core.h

* Thu Sep 29 2005 Olivier Thauvin <nanardon@mandriva.org> 1.92e-1mdk
- From Philippe Weill <Philippe.Weill@aero.jussieu.fr>
    - Initial SPEC

